%define name    nt
%define version 1.30
%define release 1mdk
%define group	Networking/File transfer
%define summary	Web Downloader for X
%define icon	nt.xpm

Summary: 	%{summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic
Group: 		%{group}
Source: 	%{name}-%{version}.tar.bz2
Patch0:		nt-1.26-po_it.patch.bz2
URL: 		http://www.krasu.ru/soft/chuchelo/
Requires: 	libgtk+1.2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This program lets you download files from internet/intranet using
ftp or http protocol.
Main features:
    * multithreaded design
    * convient user-friendly interface
    * automatic resuming after connection breaks
    * multiple simultaneous downloads
    * recursive ftp and http downloading
    * wildcards support for ftp recursing
    * proxy support (ftp and http)
    * supports for traffic limitation
    * mass downloading function
    * and other ...

%prep
rm -rf %{buildroot}

%setup -q
#%patch0 -p1

%build
%serverbuild
%make -C main CCFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="${RPM_OPT_FLAGS} -s" DEST=%{_prefix}


%install
rm -fr %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_docdir},%{_iconsdir},%{_menudir},%{_sysconfdir}/X11/wmconfig,%{_datadir}/{gnome/apps/Internet,pixmaps},%{_mandir}/man1}

for i in main/po/*.gmo; do
	j=`basename $i .gmo`
	mkdir -p %{buildroot}%{_datadir}/locale/${j}/LC_MESSAGES
	cat $i > %{buildroot}%{_datadir}/locale/${j}/LC_MESSAGES/nt.mo
done

cp main/nt 		%{buildroot}%{_bindir}
cp nt.wmconfig 		%{buildroot}%{_sysconfdir}/X11/wmconfig/nt
cp nt.desktop 		%{buildroot}%{_datadir}/gnome/apps/Internet/nt.desktop
cp nt.xpm 		%{buildroot}%{_datadir}/pixmaps/nt.xpm
cp nt-mini.xpm 		%{buildroot}%{_datadir}/pixmaps/nt-mini.xpm
cp nt-gray.png 		%{buildroot}%{_datadir}/pixmaps/nt-gray.png
cp nt.png 		%{buildroot}%{_datadir}/pixmaps/nt.png
cp nt.xpm 		%{buildroot}%{_iconsdir}/%{icon}
cp nt.1 		%{buildroot}%{_mandir}/man1/nt.1


# (mandrake) menu support
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): longtitle="%{summary}" \
command="nt" title="NT"  needs="x11" \
section="%{group}" \
icon="%{icon}"
EOF

%find_lang %{name}                                                                                      

%post 
%{update_menus}

%postun 
%{clean_menus}

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog FAQ* INSTALL* README* NAMES PLANS THANKS TODO TROUBLES
%attr(0755, root, root) %{_bindir}/nt
%defattr(0644, root, root)
%config(noreplace) %{_sysconfdir}/X11/wmconfig/nt
%{_menudir}/%{name}
%{_iconsdir}/%{icon}
%{_datadir}/gnome/apps/Internet/nt.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/nt.1*

%changelog
* Tue Dec  4 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.30-1mdk
- 1.30
- Cleaned up the SPEC a little - I hate install...
- Make the %setup be quiet!
- Fixed the License tag, so that rpmlint doesn't complain

* Sat Sep 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.29-1mdk
- 1.29

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.28.1-1mdk
- updated to 1.28.1

* Fri May 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.26-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 1.26
	- improved Italian translation

* Thu Mar 15 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.24.1-1mdk
- new release

* Tue Jan 23 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.20-1mdk
- new release
- some fixes ...making rpmlint happier

* Tue Aug 29 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.19-1mdk
- new release

* Mon Aug 14 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.18-1mdk
- new release

* Mon Jul 31 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.17-2mdk
- BM
- Added menu entry
- Added man 
- Fixed NLS
- Fixed Italian Language

* Tue Jun 13 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.17-1mdk
- 1.17-1mdk
- Moved from diff to perl patch for Makefile

* Fri Jun 09 2000 John Johnson <jjohnson@linux-mandrake.com> 1.16.1-1mdk
- Made mandrake rpm  
- v1.16.1

* Wed May 03 2000 Lenny Carter <lenny@mandrakesoft.com> 1.06-4mdk
- fix group

* Mon Nov 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fixed the copyright tag

* Tue Oct 12 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation
